Skip to main content
GET
/
organizations
/
{organization_id}
/
invitations
Error
A valid request URL is required to generate request examples
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "state": "pending",
    "organization_id": "<string>",
    "email": "jsmith@example.com",
    "owner": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "display_name": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "finished_at": "2023-11-07T05:31:56Z",
    "permissions": [
      "admin"
    ]
  }
]

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<ulid>
required

The ID of the organization.

Query Parameters

filter[state]
object

Allows filtering by state of the invtations: "pending" (default), "error".

page[size]
integer

Determines the number of items to show.

Required range: 1 <= x <= 100
page[before]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

page[after]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

sort
enum<string>

Allows sorting by a single field.
Use a dash ("-") to sort descending.

Available options:
updated_at,
-updated_at

Response

OK

id
string<uuid>

The ID of the invitation.

state
enum<string>

The invitation state.

Available options:
pending,
processing,
accepted,
cancelled,
error
organization_id
string

The ID of the organization.

email
string<email>

The email address of the invitee.

owner
object

The inviter.

created_at
string<date-time>

The date and time when the invitation was created.

updated_at
string<date-time>

The date and time when the invitation was last updated.

finished_at
string<date-time> | null

The date and time when the invitation was finished.

permissions
enum<string>[]

The permissions the invitee should be given on the organization.

Available options:
admin,
billing,
plans,
members,
project:create,
projects:list